/*
 * xor.h
 *
 *
 *  Created on: 29-04-2014
 *      Author: KJ
 */

#ifndef XOR_H_
#define XOR_H_

#include "tdefs.h"

struct xor_logic
{
	u8 *out_ptr;
	u8 out_bit_no;

	u8 *in1_ptr;
	u8 in1_bit_no;

	u8 *in2_ptr;
	u8 in2_bit_no;
};

struct xor_io
{
	u32 in1;
	u32 in2;
	u32 out;
}__attribute__((__packed__));

struct xor_params
{
}__attribute__((__packed__));

struct xor_args
{
	struct xor_io io;
	struct xor_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void xor(void *args, void *logic);
extern int xor_initlog(void *args, void *logic);

#endif /* XOR_H_ */
